> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# List publications <Badge intent="info" minimal outlined>OAuth Scope: publications:read</Badge>

GET https://api.beehiiv.com/v2/publications

Retrieve all publications associated with your API key.

Reference: https://developers.beehiiv.com/api-reference/publications/index

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `expand` (list of enum, optional) — Optionally expand the results by adding additional information like subscription counts and engagement stats.
  - Allowed values: `stats`, `stat_active_subscriptions`, `stat_active_premium_subscriptions`, `stat_active_free_subscriptions`, `stat_average_open_rate`, `stat_average_click_rate`, `stat_total_sent`, `stat_total_unique_opened`, `stat_total_clicked`
- `limit` (integer, optional) — A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
- `page` (integer, optional) — Pagination returns the results in pages. Each page contains the number of results specified by the `limit` (default: 10).If not specified, results 1-10 from page 1 will be returned.
- `direction` (enum, optional, default: asc) — The direction that the results are sorted in. Defaults to asc `asc` - Ascending, sorts from smallest to largest. `desc` - Descending, sorts from largest to smallest.
  - Allowed values: `asc`, `desc`
- `order_by` (enum, optional, default: created) — The field that the results are sorted by. Defaults to created `created` - The time in which the publication was first created. `name` - The name of the publication.
  - Allowed values: `created`, `name`

## Response

### 200

OK

- `data` (list of Publication, required)
- `limit` (integer, required) — The limit placed on the results. If no limit was specified in the request,this defaults to 10.
- `page` (integer, required, default: 1) — The page number the results are from. If no page was specified in the request, this defaults to page 1.
- `total_results` (integer, required) — The total number of results from all pages.
- `total_pages` (integer, required) — The total number of pages.

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### Publication

- `id` (string, required) — A unique prefixed id of the publication
- `name` (string, required) — The name of the publication
- `organization_name` (string, required) — The name of the organization
- `referral_program_enabled` (boolean, required) — A boolean field indicating whether the referral program is active for this publication.
- `created` (double, required) — The time that the publication was created. Measured in seconds since the Unix epoch
- `stats` (PublicationStats, optional) — Optional list of stats for a publication. Retrievable by including an `expand` array in the publication request body. Add `"stats"` to the array to retrieve all, or add individual stats (prefaced with `stat_`) to only retrieve specific ones. Examples: \{ "expand": \["stats"] } \{ "expand": \["stat\_active\_subscriptions", "stat\_average\_click\_rate"] }

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

### PublicationStats

Optional list of stats for a publication. Retrievable by including an `expand` array in the publication request body. Add `"stats"` to the array to retrieve all, or add individual stats (prefaced with `stat_`) to only retrieve specific ones. Examples: \{ "expand": \["stats"] } \{ "expand": \["stat\_active\_subscriptions", "stat\_average\_click\_rate"] }

- `active_subscriptions` (ActiveSubscriptionCount, optional) — Total number of active free and premium subscriptions
- `active_premium_subscriptions` (ActivePremiumSubscriptionCount, optional) — Total number of active premium/paid subscriptions
- `active_free_subscriptions` (ActiveFreeSubscriptionCount, optional) — Total number of active free subscriptions
- `average_open_rate` (AverageOpenRate, optional) — The publications historical average open rate
- `average_click_rate` (AverageClickRate, optional) — The publications historical average click through rate
- `total_sent` (TotalEmailsSent, optional) — Total number of emails sent
- `total_unique_opened` (TotalUniqueOpens, optional) — Total number of uniquely opened emails. Only counts the first open for each subscriber.
- `total_clicked` (TotalClicks, optional) — The total number of links clicked from emails.

### ActiveSubscriptionCount

Total number of active free and premium subscriptions

### ActivePremiumSubscriptionCount

Total number of active premium/paid subscriptions

### ActiveFreeSubscriptionCount

Total number of active free subscriptions

### AverageOpenRate

The publications historical average open rate

### AverageClickRate

The publications historical average click through rate

### TotalEmailsSent

Total number of emails sent

### TotalUniqueOpens

Total number of uniquely opened emails. Only counts the first open for each subscriber.

### TotalClicks

The total number of links clicked from emails.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "pub_ad76629e-4a39-43ad-8055-0ee89dc6db15",
      "name": "Bee Informed",
      "organization_name": "Barry's Hiiv",
      "referral_program_enabled": true,
      "created": 1715698529,
      "stats": {
        "active_subscriptions": 12,
        "active_premium_subscriptions": 2,
        "active_free_subscriptions": 10,
        "average_open_rate": 0.8,
        "average_click_rate": 0.45,
        "total_sent": 12,
        "total_unique_opened": 9,
        "total_clicked": 6
      }
    }
  ],
  "limit": 10,
  "page": 1,
  "total_results": 1,
  "total_pages": 1
}
```

**SDK Code**

```typescript
import { BeehiivClient, Beehiiv } from "beehiiv";

const client = new BeehiivClient({ token: "YOUR_TOKEN" });
await client.publications.list({
    expand: Beehiiv.PublicationsListRequestExpandItem.Stats
});

```

```python
import requests

url = "https://api.beehiiv.com/v2/publications"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.beehiiv.com/v2/publications")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.beehiiv.com/v2/publications', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```